<%= form_with(model: service_order, local: true) do |form| %>
  <% if service_order.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(service_order.errors.count, "error") %> prohibited this service_order from being saved:</h2>

      <ul>
        <% service_order.errors.full_messages.each do |message| %>
          <li><%= message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label :employee %>
    <%= form.text_field :employee %>
  </div>

  <div class="field">
    <%= form.label :detail %>
    <%= form.text_field :detail %>
  </div>

  <div class="field">
    <%= form.label :date %>
    <%= form.date_select :date %>
  </div>

  <div class="field">
    <%= form.label :start %>
    <%= form.datetime_select :start %>
  </div>

  <div class="field">
    <%= form.label :end %>
    <%= form.datetime_select :end %>
  </div>

  <div class="field">
    <%= form.label :service %>
    <%= collection_select(:service_order, :service_id, Service.all, :id, :description) %>
  </div>

  <div class="field">
    <%= form.label :amount %>
    <%= form.number_field :amount %>
  </div>

  <div class="actions">
    <%= form.submit %>
  </div>
<% end %>
